/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.repository.site.plugin.ui;

import java.util.Map;
import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Singleton;

import org.sonatype.nexus.plugins.rest.AbstractNexusIndexHtmlCustomizer;
import org.sonatype.nexus.repository.site.plugin.SiteRepositoryPlugin;

@Named( "SiteRepositoryNexusIndexHtmlCustomizer" )
@Singleton
public class SiteRepositoryNexusIndexHtmlCustomizer
    extends AbstractNexusIndexHtmlCustomizer
{

    private final SiteRepositoryPlugin owner;

    @Inject
    public SiteRepositoryNexusIndexHtmlCustomizer( final SiteRepositoryPlugin owner )
    {
        this.owner = owner;
    }

    @Override
    public String getPostHeadContribution( Map<String, Object> ctx )
    {
        return "<script src=\"static/js/" + owner.getVersion() + "/" + owner.getId()  + "-all.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
    }

}
